%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

Summary:        A powerful declarative parser/builder for binary data
Name:           construct
Version:        2.5.2
Release:        4%{?dist}
License:        MIT
URL:            http://construct.readthedocs.org
Source0:        https://pypi.python.org/packages/source/c/construct/construct-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %(basename %{__python})-devel
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Construct is a powerful declarative parser (and builder) for binary
data.

Instead of writing imperative code to parse a piece of data, you
declaratively define a data structure that describes your data. As
this data structure is not code, you can use it in one direction to
parse data into Pythonic objects, and in the other direction, convert
(build) objects into binary data.

%package -n     python2-construct
Summary:        A powerful declarative parser/builder for binary data
Requires:       python2-six
Obsoletes:	python-%{name}
Provides:	python-%{name} = %{version}

%description -n python2-construct
Construct is a powerful declarative parser (and builder) for binary
data.

Instead of writing imperative code to parse a piece of data, you
declaratively define a data structure that describes your data. As
this data structure is not code, you can use it in one direction to
parse data into Pythonic objects, and in the other direction, convert
(build) objects into binary data.

This is the Python 2 version of the package.

%if 0%{?with_python3}
%package -n     python%{python3_pkgversion}-construct
Summary:        A powerful declarative parser/builder for binary data
Requires:       python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel

%description -n python%{python3_pkgversion}-construct
Construct is a powerful declarative parser (and builder) for binary
data.

Instead of writing imperative code to parse a piece of data, you
declaratively define a data structure that describes your data. As
this data structure is not code, you can use it in one direction to
parse data into Pythonic objects, and in the other direction, convert
(build) objects into binary data.

This is the Python 3 version of the package.
%endif

%prep
%setup -q -n construct-%{version}
%if 0%{?with_python3}
%{__rm} -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python} setup.py install --skip-build --root %{buildroot} --prefix="%{_prefix}"
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif

%files -n python2-construct
%doc README.rst LICENSE
%{python_sitelib}/construct
%{python_sitelib}/construct-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-construct
%doc README.rst LICENSE
%{python3_sitelib}/construct
%{python3_sitelib}/construct/*.py*
%{python3_sitelib}/construct/*/*.py*
%{python3_sitelib}/construct-%{version}-py?.?.egg-info
%endif

%changelog
* Mon Jun 10 2019 Lawrence R. Rogers <lrr@cert.org> 2.5.2-4
* Release 2.5.2-4
        Version 2.5.2-4 Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 2.5.2-3
* Release 2.5.2-3
        Release 3 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Tue Jan 29 2019 Lawrence R. Rogers <lrr@cert.org> 2.5.2-2
* Release 2.5.2-2
        Version as of 2.5.2
	-python packages renamed to -python2

* Mon Jun 30 2014 Lawrence R. Rogers <lrr@cert.org> - 2.5.2-1
	Rebuilt as needed

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 08 2013 Terje Rosten <terje.rosten@ntnu.no> - 2.5.1-1
- initial package
